%define upstream_name    IO-Async
%define upstream_version 0.53

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A Loop using an C<IO::Poll> object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/P/PE/PEVANS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Async::MergePoint) >= 0.30.0
BuildRequires: perl(CPS)
BuildRequires: perl(CPS::Future) >= 0.150.0
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::stat)
BuildRequires: perl(IO::Poll)
BuildRequires: perl(Socket) >= 1.950.0
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Identity)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Refcount)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl-Test-Pod
BuildRequires: perl-Test-Warn
BuildRequires: perl-common-sense
BuildArch:  noarch

%description
This collection of modules allows programs to be written that perform
asynchronous filehandle IO operations. A typical program using them would
consist of a single subclass of 'IO::Async::Loop' to act as a container o
other objects, which perform the actual IO work required by the program. As
as IO handles, the loop also supports timers and signal handlers, and
includes more higher-level functionallity built on top of these basic
parts.

Because there are a lot of classes in this collection, the following
overview gives a brief description of each.

File Handle IO
    A the IO::Async::Handle manpage object represents a single IO handle
    that is being managed. While in most cases it will represent a single
    filehandle, such as a socket (for example, an 'IO::Socket::INET'
    connection), it is possible to have separate reading and writing
    handles (most likely for a program's 'STDIN' and 'STDOUT' streams, or a
    pair of pipes connected to a child process).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.530.0-2.mga3
+ Revision: 368436
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 jquelin <jquelin> 0.530.0-1.mga3
+ Revision: 291713
- update to 0.53

* Thu Jul 12 2012 jquelin <jquelin> 0.520.0-1.mga3
+ Revision: 270279
- update to 0.52

* Wed Jul 04 2012 jquelin <jquelin> 0.510.0-1.mga3
+ Revision: 267386
- update to 0.51

* Tue Jun 05 2012 jquelin <jquelin> 0.490.0-1.mga3
+ Revision: 255066
- update to 0.49

* Sat Nov 26 2011 kharec <kharec> 0.450.0-1.mga2
+ Revision: 172149
- update to 0.45

* Sat Nov 05 2011 kharec <kharec> 0.440.0-1.mga2
+ Revision: 163594
- update to 0.44

  + jquelin <jquelin>
    - update to 0.43

* Thu Jun 30 2011 jquelin <jquelin> 0.420.0-1.mga2
+ Revision: 116440
- update to 0.42

* Wed Mar 16 2011 jquelin <jquelin> 0.400.0-1.mga1
+ Revision: 72342
- update to 0.40

* Wed Feb 16 2011 jquelin <jquelin> 0.390.0-1.mga1
+ Revision: 52508
- update to 0.39

* Mon Jan 24 2011 jquelin <jquelin> 0.350.0-1.mga1
+ Revision: 37057
- mageia rebuild
- imported package perl-IO-Async

